#### D.6.3.8 arnoldMilnorCode

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldMilnorCode(f[,e]); f poly, e int

Assume:
  basering is local, f has isolated critical point at 0

Compute:
  Milnor code of f consisting of the numbers of successive repetitions of coefficients of the 2nd Hilbert series of basering/(jacob(f)^e), see [Bac01].

Return:
  Milnor code of f as intvec where e=1 by default

Example:

    LIB "arnoldclassify.lib";
    ring r=0,(x,y,z),ds;
    poly f=x2y+y3+z2;
    arnoldMilnorCode(f);
    ==> 1,1,1
    arnoldMilnorCode(f,2);
    ==> 1,1,2,1
    // a big second argument may result in memory overflow

User manual for Singular version 4.4.1, 2025, generated by texi2html.